%define name krusader
%define version 0.79
%define release 5mdk

Summary: 	A twin panel file manager for kde
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}-1.tar.bz2
License: 	GPL
Group: 		File tools
BuildRoot: 	%{_tmppath}/%{name}-buildroot
URL: 		http://krusader.sourceforge.net
Requires: 	kdelibs libqt2

BuildRequires: gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires: XFree86-static-libs automake arts autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires: libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1 openssl db1 freetype2
BuildRequires: libjpeg62 libmng1 libpng2 libqt2 libqt2-devel rpm-build


%description
Krusader is a new "old-school" file manager and ftp client.
It's twin-panel look follows in the footsteps of the great
file managers of old: GNU's Midnight Commander and
the DOS all time favorite Norton Commander.
Krusader features:
intuative GUI, complete drag n' drop support, transpernt handeling of archives 
and ftp volumes, bookmarks (with bookmark manager ), pack and unpack from the 
main window, command line with history and "run in terminal" option, internal
viewer, built-in mount manager with auto-mount option and more


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
# %%configure doesn't work
./configure --prefix=%_prefix \
	--bindir=%_bindir \
	--datadir=%_datadir \
        --disable-rpath \
	--disable-debug 

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall KDEDIR=$RPM_BUILD_ROOT%{_prefix} kde_minidir=$RPM_BUILD_ROOT%{_miconsdir}

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(krusader): section="Applications/File tools" title="Krusader" longtitle="File Manager based on KDE 2" needs="X11" command="/usr/bin/krusader" icon="%{name}.png"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README AUTHORS ChangeLog TODO COPYING krusader.lsm
%doc %{_datadir}/doc/HTML/en/*
%_bindir/*
%_datadir/applnk/Applications/krusader.desktop

%dir %_datadir/apps/krusader/
%_datadir/apps/krusader/*.rc
%_datadir/apps/krusader/*.png

%_menudir/*

#%{_iconsdir}/krusader.png
%_datadir/icons/locolor/16x16/apps/krusader.png
%_datadir/icons/locolor/32x32/apps/krusader.png

%changelog
* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.79-5mdk
- Move KD menu entry in %%_datadir/applnk
- Fix BuildRequires for non %%ix86 architectures
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.79-4mdk
- Add build requires

* Tue Mar 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.79-3mdk
- Clean spec

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 0.79-2mdk
- Rebuild against Qt 2.3.0

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.79-1mdk
- updated to 0.79

* Fri Feb  2 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.75-1mdk
- adapted package for Mandrake
